This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1276653 - fop fails to include some images
fop fails to include some images
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fop (Show other bugs)
24
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Ruediger Landmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 07:30 EDT by Wander Boessenkool
Modified: 2017-08-08 08:20 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:20:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Complete output from fop on a failed run. (878.75 KB, text/plain)
2015-10-30 07:30 EDT, Wander Boessenkool
no flags Details

  None (edit)
Description Wander Boessenkool 2015-10-30 07:30:59 EDT
Created attachment 1087917 [details]
Complete output from fop on a failed run.

Description of problem:

When building a PDF from a .fo file on F23, some, but not all,  external-graphic elements with a relative path to a file will generate a "SEVERE: File not found" image.

Version-Release number of selected component (if applicable): fop-2.0-2


How reproducible:

Always


Steps to Reproduce:
1. Have a directory tree like this:
  test.fo
  Common_Content/images/note.svg
2. include a tag like this in test.fo 
  <fo:external-graphic width="auto" height="auto" content-width="24pt" src="url(Common_Content/images/note.svg)"/>
3. run fop

Actual results:
Lots of tracebacks about missing images


Expected results:
PDF renders with images, like fop-1.1 did.

Additional info:
The errors for missing images can be interesting, as the path they refer to has the leading part doubled. The actual PDF does have empty gaps of the correct size for the missing image.
Comment 1 Steve Bonneville 2016-06-15 18:32:44 EDT
Suspect this is related to upstream's https://issues.apache.org/jira/browse/FOP-2550 issue.  Testing suggests there may be some sort of race in fop or batik going on here, because we're seeing different results when the .fo file is rendered with fop on the command line when compared to calling the render through Publican.  (Direct render seems to result in fewer files having duplicated directory names in the fo).
Comment 2 Fedora End Of Life 2016-11-24 07:59:30 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Steve Bonneville 2016-11-28 09:38:00 EST
Known to also be an issue in Fedora 24, bumping version to keep this alive.  Haven't yet tested on Fedora 25, will update when I have.
Comment 4 Fedora End Of Life 2017-07-25 15:25:02 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-08-08 08:20:33 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.